/*************************************************************************************************
*
*
*			ObjectMacZapp		-- a standard Mac OOP application template
*
*
*
*			ZSortTestWindow.h			-- a window for testing the sort function
*
*
*
*
*
*			 1996, Graham Cox
*
*
*
*
*************************************************************************************************/


#pragma once

#ifndef __ZSORTTESTWINDOW__
#define	__ZSORTTESTWINDOW__


#include	"ZScroller.h"



class	ZArray;



class	ZSortTestWindow : public ZScroller
{
protected:
	ZArray*		itsArray;
	long		sortTime;

public:
	ZSortTestWindow( ZCommander* aBoss, short windID );
	~ZSortTestWindow();
	
	virtual void	InitZWindow();
	virtual void	DrawContent();
	virtual void	OpenFile( OSType aType );
	
	virtual void	UpdateMenus();
	virtual void	HandleCommand( const long aCmd );
};

// commands we define:

enum
{
	kCmdSort = 134,
	kCmdScramble

};




#endif